package com.rf.psychological.config;

import com.rf.psychological.utils.Constant;
import org.springframework.core.type.ClassMetadata;
import org.springframework.core.type.classreading.MetadataReader;
import org.springframework.core.type.classreading.MetadataReaderFactory;
import org.springframework.core.type.filter.TypeFilter;

/**
 * @Author:zzf
 * @Date:2022/7/24:11:36
 * @Description:
 */
@Deprecated
//@Profile("lan")
public class SystemExcludeFilter implements TypeFilter {

    @Override
    public boolean match(MetadataReader metadataReader, MetadataReaderFactory metadataReaderFactory) {
        ClassMetadata classMetadata = metadataReader.getClassMetadata();
        String name = classMetadata.getClassName();
        System.out.println("package-"+name);
        return name.contains(Constant.EXCLUDE_PACKAGE_NAME);
    }
}
